Subject: [bug#67261] [PATCH 3/3] images: Add orangepi-r1-plus-lts image.

From: Efraim Flashner <[email-masked]>
Date: Sun, 3 Dec 2023 12:22:41 +0200

On Fri, Dec 01, 2023 at 11:58:57AM -0800, Vagrant Cascadian wrote:
> On 2023-11-18, Herman Rimm wrote:
> > * gnu/local.mk: Register image.
> > * gnu/system/images/orangepi-r1-plus-lts-rk3328.scm: New file.
> > * gnu/system/install.scm (orangepi-r1-plus-lts-rk3328-installation-os):
> >   New variable.
> 
> I guess this opens in my mind a larger question of how many images do we
> want to build out-of-the-box?
> 
> Building images for every (ARM) board variant possibly supported in guix
> might not be sustainable in the long term... this could easily become
> hundreds of images. How big is each image?
> 
> On the other hand, most of the images for a given architecture will
> share much of the work between them, as most of the individual packages
> used to build each image are the same.
> 
> Not having CI build each and every image is one approach... although
> then you might not notice when an individual image breaks.

Do we normally build all the images in (gnu system images)? There seems
to be a large number of different file-system offsets needed for
different boards.  I suppose we could standardize on a larger size that
would take care of most of them, but until something is setup to make it
possible I'm not sure it's possible to support them for Guix System
without also adding an OS config for the offsets for the root file
system.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted